// Define an alternate dark theme.
@use '@angular/material' as mat;
$dark-red-primary: mat.define-palette(mat.$red-palette);
$dark-red-accent: mat.define-palette(mat.$deep-orange-palette);
$dark-red-warn: mat.define-palette(mat.$red-palette);
$dark-red-theme: mat.define-dark-theme(
  (
    color: (
      primary: $dark-red-primary,
      accent: $dark-red-accent,
      warn: $dark-red-warn,
    ),
  )
);

.theme-dark-red {
  @include mat.all-component-colors($dark-red-theme);

  .theme-bg {
    background-color: mat.get-color-from-palette($dark-red-primary);
  }
}

.dark-red-bg {
  background-image: linear-gradient(
    to right,
    mat.get-color-from-palette($dark-red-primary),
    #303030 90%
  );
  // background-color: mat-color($dark-blue-primary);
}
